Page MenuHomePhabricator

TFTP server functionality
Closed, ResolvedPublicFEATURE REQUEST

Description

It would be great to add TFTP functionality to the VyOS distro with configuration by CLI. This is very important when thin clients are used in the office and they need to download the boot image.

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close

Related Objects

c-po added a subscriber: c-po.Jun 10 2018, 7:00 PM

By this you mean VyOS should act as TFTP server and provide files to clients?

*sidenode* Cisco ISO supports this, too. Here it's used for embedded Call Managed to provide IP Phone configurations.

+1 from me

@plastilin willing to contribute this?

max1e6 added a subscriber: max1e6.Jun 11 2018, 8:52 AM

I agree that this is a good idea, especially for small offices.

If you are going to do this, then there's the related issue of whether or not to put in PXE/gPXE/iPXE related stuff to support netbooting things.

c-po added a comment.Jun 12 2018, 10:06 AM

@Asteroza can you add the approriate Task here in the comments?

+1 here as for small ISP.
Needed features (at least):

  • choose interface to listen on
  • choose directory to serve
  • toggle read-only/read-write access

Would-be-great features:

  • View connections log
  • View current connections

Added a child feature request for iPXE.

read-write access for backing up/deploying managed switch configuration files would be nice

syncer triaged this task as Wishlist priority.
c-po moved this task from Need Triage to In Progress on the VyOS 1.2.x board.EditedAug 26 2018, 11:52 AM
cpo@LR1# show service tftp-server
Possible completions:
   allow-upload Allow TFTP file uploads
   directory    Folder containing files served by TFTP [REQUIRED]
+  listen-address
                Addresses for TFTP server to listen [REQUIRED]
   port         Port for TFTP service
set service tftp-server allow-upload
set service tftp-server directory '/config/tftproot'
set service tftp-server listen-address '172.16.254.35'
set service tftp-server listen-address '172.16.34.1'
set service tftp-server listen-address '2001:db8::1'
set service tftp-server port '100'
c-po moved this task from In Progress to Finished on the VyOS 1.2.x board.Aug 26 2018, 1:05 PM
c-po edited projects, added VyOS 1.2.x (VyOS 1.2.0-rc1); removed VyOS 1.2.x.
syncer moved this task from VyOS 1.2.0-rc1 to Finished on the VyOS 1.2.x board.
syncer closed this task as Resolved.Sat, Oct 13, 9:38 AM
syncer claimed this task.